using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 风险评价计划附件表
    /// </summary>
    [Description("风险评价计划附件表")]
    public class T_HM_RISK_RECORD_FILE : MesEntityBase
    {
        /// <summary>
        /// 风险记录ID
        /// </summary>
        [Description("风险记录ID")]
        [DataFieldForeignKey("Nav_Record", "Nav_Files")]
        public Guid RECORD_ID { get; set; }
        /// <summary>
        /// 导航属性：风险记录
        /// </summary>
        [Description("导航属性：风险记录")]
        public T_HM_RISK_RECORD Nav_Record { get; set; }
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        [Description("导航：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
